Skip to main content
GET
/
snippets
Get multiple snippets
curl --request GET \
  --url https://www.getsnippets.ai/api/prompts/snippets \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {}
  ],
  "usage": {
    "remainingRequests": 123,
    "usageDeducted": 123
  },
  "metadata": {
    "requestedCount": 123,
    "foundCount": 123,
    "accessibleCount": 123,
    "inaccessibleCount": 123,
    "missingCount": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Query Parameters

ids
string
required

Comma-separated list of snippet IDs or JSON array

Response

Snippets retrieved successfully

success
boolean
Example:

true

data
object[]
usage
object
metadata
object